From d15608434d9d9240c4f8ebf0c2ac2f74e626f709 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 07 2021 21:36:35 +0000
Subject: [PATCH 2089/2232] Touch up error message from PR 688


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 0aa3837..6228734 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -390,7 +390,10 @@ fn check_api_fn(cx: &mut Check, efn: &ExternFn) {
             );
             cx.error(span, msg);
         } else if cx.types.enums.contains_key(&receiver.ty.rust) {
-            cx.error(span, "C++ does not allow member functions on enums");
+            cx.error(
+                span,
+                "unsupported receiver type; C++ does not allow member functions on enums",
+            );
         } else if !cx.types.structs.contains_key(&receiver.ty.rust)
             && !cx.types.cxx.contains(&receiver.ty.rust)
             && !cx.types.rust.contains(&receiver.ty.rust)
diff --git a/tests/ui/enum_receiver.stderr b/tests/ui/enum_receiver.stderr
index 8523c77..e09b4e3 100644
--- a/tests/ui/enum_receiver.stderr
+++ b/tests/ui/enum_receiver.stderr
@@ -1,4 +1,4 @@
-error: C++ does not allow member functions on enums
+error: unsupported receiver type; C++ does not allow member functions on enums
  --> $DIR/enum_receiver.rs:7:20
   |
 7 |         fn f(self: &Enum);

